Skip to main content
Back to API List Use this API to add an agent with the given stream ID.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/agents
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can get it from the App Settings page.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agents' \
--header 'accept: application/json' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'accountid: {{accountId}}' \
--data-raw '{
    "emailId": "nov5uat@mailinator.com",
    "firstName": "nov05",
    "lastName": "agent3",
    "nickName": "agent three",
    "phoneNumber": "13456782345",
    "agentGroupId": "ag-c57b602-151a-41c8-8630-a1eae433xxxx",
    "canSupportChat": true,
    "maxChatSupport": 5,
    "canSupportVoice": true,
    "customId" : "A..Zxyz09!'\'''\'''\''()*+,-./:;<=>?@[]^_`{|}",
    "roleId": "67654be356840f366e79xxxx",
    "chatLanguageSupport": [
        {
            "language": "en",
            "proficiency": "expert",
            "isActive": true
        }
    ],
    "voiceLanguageSupport": [
        {
            "language": "en",
            "proficiency": "expert",
            "isActive": true
        }
    ],
    "skills": [],
    "desktopLayouts": [],
    "queues": [
        {
            "id": "qu-854eaa2-b0b6-4327-9008-723d7519xxxx",
            "isPreferredAgent": false
        }
    ],
    "createDefaultLayoutAndAssign": true
}'

Body Parameters

ParameterDescriptionType
emailIdEmail address of the agent. Must be unique.string, required
firstNameFirst name of the agent.string, required
lastNameLast name of the agent.string, required
nickNameNickname of the agent.string, optional
phoneNumberContact number of the agent.string, optional
agentGroupIdUnique identifier of the agent group the agent belongs to.string, optional
canSupportChatDefines if the agent can handle chat interactions.boolean, optional
maxChatSupportMaximum number of simultaneous chats the agent can support.integer, optional
canSupportVoiceDefines if the agent can handle voice interactions.boolean, optional
customIdCustom identifier for the agent. Supports special characters except space.string, optional
roleIdIdentifier for the role assigned to the agent.string, required
chatLanguageSupportList of languages and proficiency levels supported for chat.array of objects, optional
chatLanguageSupport.languageLanguage code (for example, "en").string, required
chatLanguageSupport.proficiencyProficiency level (for example, "expert").string, required
chatLanguageSupport.isActiveIndicates if the language is active for the agent.boolean, optional
voiceLanguageSupportList of languages and proficiency levels supported for voice.array of objects, optional
voiceLanguageSupport.languageLanguage code (for example, "en").string, required
voiceLanguageSupport.proficiencyProficiency level (for example, "expert").string, required
voiceLanguageSupport.isActiveIndicates if the language is active for the agent.boolean, optional
skillsList of skills assigned to the agent.array, optional
desktopLayoutsList of desktop layouts assigned to the agent.array, optional
queuesList of queues assigned to the agent.array of objects, optional
queues.idIdentifier of the queue.string, required
queues.isPreferredAgentDefines if the agent is the preferred agent for the queue.boolean, optional
createDefaultLayoutAndAssignIndicates whether to create and assign a default desktop layout.boolean, optional

Sample Response

{
  "emailId": "nov5uat@mailinator.com",
  "firstName": "nov05",
  "lastName": "agent3",
  "nickName": "agent three",
  "phoneNumber": 13456782345,
  "profImage": "5ff233123124xxxx",
  "agentGroupId": "ag-3234fsdf2131241xxxx",
  "canSupportChat": true,
  "maxChatSupport": 5,
  "canSupportVoice": true,
  "attachmentsEnabled": true,
  "emojisEnabled": true,
  "roleId": "6ff233123124xxxx",
  "chatLanguageSupport": [
    { "language": "en", "proficiency": "expert", "isActive": true }
  ],
  "voiceLanguageSupport": [
    { "language": "es", "proficiency": "expert", "isActive": true }
  ],
  "skills": [
    {
      "skillId": "s-2122xxxx",
      "proficiencyLevel": "expert",
      "userId": "u-f9e37b9c-66d5-5525-9df1-da0edbeaxxxx",
      "name": "Default Skill",
      "skillGroupName": "Default SkillGroup",
      "skillGroupColor": "#D2000D"
    }
  ],
  "desktopLayouts": [
    { "id": "ly-de35d82-7323-4420-b893-c35b5175xxxx", "isDefault": true }
  ],
  "queues": [
    { "id": "qu-80ac056-57db-420b-b937-9581dd20xxxx", "isPreferredAgent": true }
  ],
  "createDefaultLayoutAndAssign": true,
  "orgId": "o-89381108-2ea3-53a2-a422-b8992bbaxxxx",
  "userId": "u-021655cc-4cd6-524b-b42a-1bed8b5cxxxx",
  "callRegion": "JP",
  "maxDigitalChatSupport": 5,
  "maxEmailChatSupport": 5,
  "maxMessagingChatSupport": 5
}